--- !ditz.rubyforge.org,2008-03-06/issue 
title: ruby 1.8.7 breaks sup in weird ways
desc: |-
  --- ArgumentError from thread: main
  wrong number of arguments (2 for 1)
  /home/benjamin/projects/sup/lib/sup/index.rb:422:in `respond_to?'
  /home/benjamin/projects/sup/lib/sup/index.rb:422:in `flatten'
  /home/benjamin/projects/sup/lib/sup/index.rb:422:in `load_sources'
  /home/benjamin/projects/sup/lib/sup/index.rb:108:in `load'
  /home/benjamin/projects/sup/lib/sup/util.rb:497:in `send'
  /home/benjamin/projects/sup/lib/sup/util.rb:497:in `method_missing'
  /home/benjamin/projects/sup/bin/sup:122
type: :bugfix
component: sup
release: "0.6"
reporter: William Morgan <wmorgan-sup@masanjin.net>
status: :closed
disposition: :fixed
creation_time: 2008-06-04 17:39:39.013305 Z
references: []

id: cef3096582de268c050f78223eb6a22ac2599606
log_events: 
- - 2008-06-04 17:39:39.670176 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - created
  - ""
- - 2008-06-19 17:57:46.648682 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - closed issue with disposition fixed
  - fixed directly in master
